#include <cstdio>
#include <iostream>
using namespace std;
int main(){
	freopen("nuts.in","r",stdin);
	long t,n,m,k;
	cin >> t;
	for (int i=0; i<t; i++){
		scanf("%d %d %d", &n, &m, &k);
		if (n*m>=k) printf("YES\n"); else printf("NO\n");
	}
	return 0;
}